<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Releases;
use App\ReleasesDetails;
use App\Helpers;
use Illuminate\Support\Facades\DB;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function releases_List()
    {
        $releases = Releases::where('released_by', '!=', 'Reporting')->orderBy('release_id')->get();

        $data = [
            'category_name' => 'RMS',
            'page_name' => 'releases_List',
            'has_scrollspy' => 1,
            'scrollspy_offset' => 100,

        ];
        return view('pages.rms.releases_List', compact('releases'))->with($data);
    }

    public function releases_View($slug)
    {

        $releases = DB::table('release_details')
            ->join('materials', 'release_details.material_code', '=', 'materials.material_code')
            ->select('release_details.*', 'materials.price_multiplier')
            ->where('release_id', $slug)
            ->orderBy('order','asc')
            ->get();


        $data = [
            'category_name' => 'RMS',
            'page_name' => 'releases_View',
            'has_scrollspy' => 1,
            'scrollspy_offset' => 100,

        ];
        return view('pages.rms.releases_View', compact('releases'))->with($data);
    }
}
